<form 
 	layout="column" 
	ng-submit="addTopic(model)"
	mb-preloading="ctrl.status === 'working'"
	layout-padding
	flex>
    <input hide type="submit" />
	<div 
		layout="column">
		
		<md-autocomplete 
			flex 
			required
			md-input-name="autocompleteField"
			md-input-minlength="2"
			md-input-maxlength="18"
			md-no-cache="true"
			md-selected-item="selectedDomian"
			md-search-text="ctrl.searchText"
			md-items="item in querySearch(ctrl.searchText)"
			md-item-text="item.title"
			md-require-match
			md-floating-label="Domain of the topic">
			<md-item-template>
				<span md-highlight-text="ctrl.searchText">{{item.id}}-{{item.title}}</span>
			</md-item-template>
			<div ng-messages="searchForm.autocompleteField.$error" ng-if="searchForm.autocompleteField.$touched">
				<div ng-message="required">You <b>must</b> have a favorite state.</div>
				<div ng-message="md-require-match">Please select an existing state.</div>
				<div ng-message="minlength">Your entry is not long enough.</div>
				<div ng-message="maxlength">Your entry is too long.</div>
			</div>
		</md-autocomplete>
		
		<md-input-container>
			<label translate>Title</label>
			<input ng-model="model.title">
		</md-input-container>
		<md-input-container>
			<label translate>Description</label>
			<input ng-model="model.description">
		</md-input-container>
	    <wb-ui-setting-image
	    	title="Cover" 
	        ng-model="model.cover">
		</wb-ui-setting-image>
	</div>


	<div class="md-toolbar-tools">
		<span flex></span>
		<md-button 
			ng-click="addTopic(model)">
			<wb-icon aria-label="close">done</wb-icon>
			<span translate>Add</span>
		</md-button>
		<md-button 
			ng-click="cancel()">
			<wb-icon aria-label="close">close</wb-icon>
			<span translate>Cancle</span>
		</md-button>
	</div>
</form>
